###
###
###

.seqnames <- paste("Chr", c(1:5, "M", "C"), sep="")

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Arabidopsis thaliana",
        species="Arabidopsis",
        provider="TAIR",
        provider_version="TAIR9",
        release_date="June 9, 2009",
        release_name="TAIR9 Genome Release",
        source_url="ftp://ftp.arabidopsis.org/home/tair/Genes/TAIR9_genome_release/",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Athaliana"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

